/*
 * This file is used for putting together quick tests. Please don't use it as an example.
 */
#include <glib.h>

#include "lql-con.h"
#include "lql-class.h"
#include "lql-class-htb.h"
#include "lql-interface.h"

int
main(int argc,
     char *argv[])
{
	LQLCon *con = NULL;
	LQLClassHTB *htb = NULL;

	g_type_init();

	con = (LQLCon *) lql_con_new();

	htb = (LQLClassHTB *) lql_class_htb_new();
	//lql_class_set_parent(LQL_CLASS(htb), 1);
	lql_class_set_priority(LQL_CLASS(htb), 9);
	//lql_class_set_handle(LQL_CLASS(htb), 1);
	//lql_class_set_ifIndex(LQL_CLASS(htb), 3);
	lql_class_htb_set_rate(htb, 10000000);
	lql_class_htb_set_ceiling(htb, 10000000);

	if (!lql_class_add(LQL_CLASS(htb), con)) {
		g_print("Could not add class.\n");
		return(FALSE);
	}
	g_object_unref(htb);

	// Cleanup.
	g_object_unref(con);

	return(0);
}
