/*
 * I use this file for putting together quick tests. Don't be suprised if it doesn't
 * make sense. Please look at the add_qdisc_TYPE.c files for examples for various QDisc
 * types.
 */
#include <glib.h>

#include "lql-con.h"
#include "lql-qdisc.h"
#include "lql-qdisc-htb.h"
#include "lql-qdisc-pfifo.h"
#include "lql-qdisc-sfq.h"
#include "lql-qdisc-priomap.h"

int
main(int argc,
     char *artv[])
{
	LQLCon *con = NULL;
	LQLQDiscHTB *qdisc = NULL;
//	LQLQDiscPFIFO *qdisc = NULL;
//	LQLQDiscSFQ *qdisc = NULL;
//	LQLQDiscPriomap *qdisc = NULL;
//	unsigned arr[5];
	
	g_type_init();

	con = (LQLCon *)lql_con_new();
	qdisc = (LQLQDiscHTB *)lql_qdisc_htb_new();
//	qdisc = (LQLQDiscPriomap *)lql_qdisc_priomap_new();
//	qdisc = (LQLQDiscPFIFO *)lql_qdisc_pfifo_new();

	lql_qdisc_set_parent(LQL_QDISC(qdisc), NULL);
//	lql_qdisc_set_handle(LQL_QDISC(qdisc), 1);
//	lql_qdisc_set_defaultClass(LQL_QDISC(qdisc), 1);
//	lql_qdisc_set_ifIndex(LQL_QDISC(qdisc), 3);

//	int i = 0;
//	for (i = 0; i < 16; i++) {
//		lql_qdisc_priomap_set_prio(qdisc, i, 1);
//	}

//	g_print("10:%i\n", lql_qdisc_priomap_get_prio(qdisc, 10));

//	lql_qdisc_pfifo_set_queueLength(LQL_QDISC_PFIFO(qdisc), 8);
//	lql_qdisc_sfq_set_perturb(LQL_QDISC_SFQ(qdisc), 10);
//	lql_qdisc_sfq_set_quantum(LQL_QDISC_SFQ(qdisc), 1900);

//	lql_con_qdisc_add(con, LQL_QDISC(qdisc));
	lql_qdisc_add(LQL_QDISC(qdisc), con);

	g_object_unref(qdisc);
	g_object_unref(con);

	return(0);
}
