/*
 * Delete the root QDisc from interface index 3.
 */
#include <glib.h>

#include "lql-con.h"
#include "lql-qdisc-htb.h"

int
main(int argc,
     char *artv[])
{
	LQLQDisc *qdisc = NULL;
	LQLCon *con = NULL;

	g_type_init();

	con = g_object_new(LQL_TYPE_CON, NULL);
	qdisc = g_object_new(LQL_TYPE_QDISC_HTB, NULL);

	lql_qdisc_set_parent(LQL_QDISC(qdisc), NULL);
	lql_qdisc_set_id(qdisc, 1);
	lql_element_set_ifIndex(LQL_ELEMENT(qdisc), 3);

	if (!lql_qdisc_delete(qdisc, con)) {
		g_printerr("Could not delete root QDisc.\n");
	}

	g_object_unref(qdisc);
	g_object_unref(con);

	return(0);
}
