/*
 * Copyright (C) 2004 Dan Siemon <dan@coverfire.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#ifndef _LQL_CLASS_HELPER_H_
#define _LQL_CLASS_HELPER_H_

#include <glib.h>

#include "lql-class.h"

gboolean lql_class_helper_delete(LQLClass *class, LQLCon *con);
void lql_class_helper_print(LQLClass *self);
void lql_class_helper_printStats(LQLClass *self);
gboolean lql_class_helper_updateStats(LQLClass *self, LQLCon *con);

/* gboolean lql_class_helper_set_handle(LQLClass *class, guint16 handle); */
/* guint16 lql_class_helper_get_handle(LQLClass *class); */
/* gboolean lql_class_helper_set_parent(LQLClass *class, guint16 parent); */
/* guint16 lql_class_helper_get_parent(LQLClass *class); */

#endif
