/*
 * Add a Priomap QDisc to interface index 3 with the default number of bands (3)
 * and the default priomap table.
 */
#include <glib.h>

#include "lql-con.h"
#include "lql-qdisc.h"
#include "lql-qdisc-priomap.h"

int
main(int argc,
     char *artv[])
{
	LQLCon *con = NULL;
	LQLQDiscPriomap *qdisc = NULL;

	g_type_init();

	con = (LQLCon *)lql_con_new();
	qdisc = (LQLQDiscPriomap *)lql_qdisc_priomap_new();

	lql_qdisc_set_parent(LQL_QDISC(qdisc), NULL);
	lql_qdisc_set_id(LQL_QDISC(qdisc), 1);
	lql_element_set_ifIndex(LQL_ELEMENT(qdisc), 3);

/* 	int i = 0; */
/* 	for (i = 0; i < 16; i++) { */
/* 		lql_qdisc_priomap_set_prio(qdisc, i, 1); */
/* 	} */

	lql_qdisc_add(LQL_QDISC(qdisc), con);

	g_object_unref(qdisc);
	g_object_unref(con);

	return(0);
}
